#ifndef SERVERDESIGNER_CORE_H
#define SERVERDESIGNER_CORE_H

#include <QObject>
#include "SH_types.h"

#define CORE (ServerDesignerCore::instance())

class ServerScriptEdit;

class ServerDesignerCore: public QObject {
	Q_OBJECT
public:
	explicit ServerDesignerCore();
	~ServerDesignerCore();

	static ServerDesignerCore * instance();

	ServerScriptEdit * widgetScripts;

private:

public slots:

private slots:

signals:
	void projectChanged();
	void loadFile(QString);
	void loadScript(QString);
	void saveProject();
	void stopTest();

};


#endif // SERVERDESIGNER_CORE_H
